Name:		unrtf
Version:	0.21.10
Release:	%mkrel 2
Summary:	RTF to other formats converter
License:	GPLv3
Group:		Text tools
URL:		http://www.gnu.org/software/unrtf/unrtf.html
Source0:	http://ftp.gnu.org/gnu/unrtf/unrtf-%{version}.tar.gz
Source1:	http://ftp.gnu.org/gnu/unrtf/unrtf-%{version}.tar.gz.sig

%description
UnRTF is a moderately complicated converter from RTF to other
formats, including HTML, LaTeX, text, and PostScript. Converting
to HTML, it supports tables, fonts, colors, embedded images,
hyperlinks, paragraph alignment among other things. All other
conversions are "alpha"--just begun.

%prep
%setup -q
%autopatch -p1

sed -i -e 's#/usr/local/lib/unrtf/#%{_datadir}/unrtf/#' src/main.h
sed -i -e 's#/usr/local/lib/unrtf/#%{_datadir}/unrtf/#' src/path.h
sed -i -e 's#/usr/local/lib/unrtf/#%{_datadir}/unrtf/#' src/my_iconv.h

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%files
%doc AUTHORS README ChangeLog
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.21.10-2.mga8
+ Revision: 1520572
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 01 2018 daviddavid <daviddavid> 0.21.10-1.mga7
+ Revision: 1337030
- new version: 0.21.10
- remove merged upstream patch

* Sun Sep 23 2018 umeabot <umeabot> 0.21.9-4.mga7
+ Revision: 1301532
- Mageia 7 Mass Rebuild

* Tue Jan 03 2017 mrambo3501 <mrambo3501> 0.21.9-3.mga6
+ Revision: 1079908
- add upstream patch to fix CVE-2016-10091

* Tue Feb 09 2016 umeabot <umeabot> 0.21.9-2.mga6
+ Revision: 951895
- Mageia 6 Mass Rebuild

* Fri Jan 09 2015 luigiwalser <luigiwalser> 0.21.9-1.mga5
+ Revision: 809498
- 0.21.9

* Mon Dec 22 2014 luigiwalser <luigiwalser> 0.21.8-1.mga5
+ Revision: 804962
- 0.21.8

* Mon Dec 15 2014 luigiwalser <luigiwalser> 0.21.7-1.mga5
+ Revision: 803275
- 0.21.7

* Thu Dec 11 2014 luigiwalser <luigiwalser> 0.21.6-1.mga5
+ Revision: 802718
- 0.21.6 (fixes CVE-2014-9274 and CVE-2014-9275)

* Wed Oct 15 2014 umeabot <umeabot> 0.21.5-3.mga5
+ Revision: 745065
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.21.5-2.mga5
+ Revision: 690062
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 dams <dams> 0.21.5-1.mga5
+ Revision: 585770
- new version 0.21.5
- clean specfile

* Fri Oct 18 2013 umeabot <umeabot> 0.21.2-3.mga4
+ Revision: 519888
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.21.2-2.mga3
+ Revision: 385076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 07 2011 tv <tv> 0.21.2-1.mga2
+ Revision: 140380
- new release

* Sat Apr 30 2011 misc <misc> 0.21.1-5.mga1
+ Revision: 93872
- increase Release, to match the one of mandriva, to ease upgrade
+ supp <supp>
-fix license and incorrect config path

* Sat Jan 22 2011 supp <supp> 0.21.1-1.mga1
+ Revision: 32987
- remove (obsolete) buildroot
- imported package unrtf

